This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 991517 - gtkterm cannot create lockfile
gtkterm cannot create lockfile
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gtkterm (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 11:53 EDT by Maxwell Bottiger
Modified: 2016-03-31 05:16 EDT (History)
5 users (show)

See Also:
Fixed In Version: gtkterm-0.99.7-0.4.rc1.git26021e33.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-07 22:31:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxwell Bottiger 2013-08-02 11:53:29 EDT
Description of problem:
GTKTerm complains that it connot create a lock file on start up.  This prevents it from opening serial ports, or doing most useful tasks

Version-Release number of selected component (if applicable):
gtkterm-0.99.7-0.1.rc1.git26021e33.fc19.x86_64

How reproducible:
Every time

Steps to Reproduce:
1.Run gtkterm from the gui or command line
2.
3.

Actual results:
Cannot create lockfile: Permission denied

Expected results:
A lock file

Additional info:
Comment 1 Hans de Goede 2013-08-03 09:24:47 EDT
Hi,

It can not only not create the lockfile, it will also be unable to open the serial-port if it where to get passed the lockfile issue. Serial ports are not open to all users, you need to add your user to the dialout and lock groups, we unfortunately don't have a nice userfriendly solution for this.

IE you need to do as root:
usermod -a -G dialout,lock <username>
 
Regards,

Hans
Comment 2 Paulius Zaleckas 2013-09-03 06:12:49 EDT
Adding user to lock and dialout groups does not help.
Problem is that gtkterm tries to create lockfile in /var/lock
when it should be in /var/lock/lockdev

Please reopen this bug.
Comment 3 Hans de Goede 2013-09-03 06:16:31 EDT
You're right, re-opening. I'll try to fix this one of the coming days.
Comment 4 Fedora Update System 2013-09-04 08:10:30 EDT
gtkterm-0.99.7-0.4.rc1.git26021e33.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gtkterm-0.99.7-0.4.rc1.git26021e33.fc20
Comment 5 Fedora Update System 2013-09-04 08:11:27 EDT
gtkterm-0.99.7-0.4.rc1.git26021e33.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gtkterm-0.99.7-0.4.rc1.git26021e33.fc19
Comment 6 Fedora Update System 2013-09-04 12:06:35 EDT
Package gtkterm-0.99.7-0.4.rc1.git26021e33.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtkterm-0.99.7-0.4.rc1.git26021e33.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15753/gtkterm-0.99.7-0.4.rc1.git26021e33.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-09-12 20:59:34 EDT
gtkterm-0.99.7-0.4.rc1.git26021e33.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-09-22 20:22:23 EDT
gtkterm-0.99.7-0.4.rc1.git26021e33.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Maxwell Bottiger 2014-07-17 15:21:14 EDT
I have a Fedora 20 installation with gtkterm gtkterm-0.99.7-0.4.rc1.git26021e33.fc20.x86_64 which is displaying this same problem.  Could this bug please be reopened?
Comment 10 Hans de Goede 2014-07-18 05:51:39 EDT
(In reply to Maxwell Bottiger from comment #9)
> I have a Fedora 20 installation with gtkterm
> gtkterm-0.99.7-0.4.rc1.git26021e33.fc20.x86_64 which is displaying this same
> problem.  Could this bug please be reopened?

In order to be able to use gtkterm as a normal user you need to do:

usermod -a -G dialout,lock <username>

As root, replacing <username> with your username, so that your user gets access to serial ports.

Please let us know if that solves your issue.
Comment 11 Maxwell Bottiger 2014-10-07 22:31:47 EDT
I forgot to add myself to the lock group.  I'd read about the need to add users to the dialout group before.

Note You need to log in before you can comment on or make changes to this bug.